<?php
class PearDbClassLoader implements charcoal_IClassLoader
{
	/*
	 *    コンストラクタ
	 */
	public function __construct()
	{
	}

	/*
	 * クラスローダ名
	 */
	public function getClassLoaderName()
	{
		return "Smarty Class Loader";
	}

	/*
	 * クラスローダを初期化
	 */
	public function initClassLoader( $classloader_config )
	{
	}

	/*
	 * クラスをロード
	 */
	public static function loadClass( $class_name )
	{
		$class_path = array(

			// core classes

				"SmartyModule"			=> "modules/SmartyModule.class.php",
				"SetupViewModule"		=> "modules/SetupViewModule.class.php",
				"DbConnectModule"		=> "modules/DbConnectModule.class.php",
				"DbCreateModule"		=> "modules/DbCreateModule.class.php",
				"TableCreateModule"		=> "modules/TableCreateModule.class.php",
				"TopCheckModule"		=> "modules/TopCheckModule.class.php",
				"ShouhinModule"			=> "modules/ShouhinModule.class.php",

			// model classes

				"ShouhinModel"			=> "data_models/ShouhinModel.class.php",
			);

		// ロードされなかった
		if ( !isset($class_path[ $class_name ]) ){
			return FALSE;
		}

		// クラス名からクラスパスを取得
		$classPath = $class_path[ $class_name ];

		// ソース読み込み
		require_once( $classPath );

		return TRUE;
	}
}
